namespace ControlDemo.controls
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Threading;
	using System.Globalization;

	/// <summary>
	///		Summary description for CfxHistoryOptions.
	/// </summary>
	public abstract class CfxHistoryOptions : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.RadioButton		radDefault;
		protected System.Web.UI.WebControls.Label			Label1;

		protected System.Web.UI.WebControls.RadioButton		radByMonth;
		protected System.Web.UI.WebControls.Label			Label2;
		protected ControlDemo.controls.CfxSelect			radByMonth_selByMonth;

		protected System.Web.UI.WebControls.RadioButton		radByYear;
		protected System.Web.UI.WebControls.Label			Label3;
		protected ControlDemo.controls.CfxSelect			radByYear_selByYear;

		private void Page_Load(object sender, System.EventArgs e)
		{
			if ( !this.IsPostBack )
			{
				// Setup month selections.
				CultureInfo currentCulture = Thread.CurrentThread.CurrentCulture;
				DateTimeFormatInfo formatInfo = currentCulture.DateTimeFormat;
				string[] monthNames = formatInfo.MonthNames;
				DateTime dtNow = DateTime.Now;

				for ( int ii = 0; ii < monthNames.Length; ++ii )
				{
					if ( monthNames[ii] != String.Empty )
						radByMonth_selByMonth.Selections.Items.Add( new ListItem( monthNames[ii] ) );
				}

				// Setup year selections.
				for ( int ii = 2000; ii <= dtNow.Year; ++ii )
					radByYear_selByYear.Selections.Items.Add( new ListItem( ii.ToString() ) );
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
