namespace ControlDemo.controls
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Diagnostics;

	/// <summary>
	///		Summary description for CfxTextControl.
	/// </summary>
	public abstract class CfxText : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.TextBox				element;
		protected System.Web.UI.HtmlControls.HtmlImage			image;
		protected System.Web.UI.HtmlControls.HtmlInputHidden	title;

		private const string	urlClearImage = "../images/void.jpg";
		private const string	urlSetImage = "../images/error.jpg";

		public string	Text
		{
			get { return element.Text.Trim(); }
			set { element.Text = value; }
		}
		
		public int	 	Size
		{
			get { return Convert.ToInt32( element.Attributes["size"] ); }
			set { element.Attributes["size"] = value.ToString(); }
		}
		
		public string	CssClass
		{
			get { return element.CssClass; }
			set { element.CssClass = value; }
		}
		
		public string	Title
		{
			get { return title.Value; }
			set { title.Value = value; }
		}

		public string	Mode
		{
			get { return element.TextMode.ToString(); }
			set 
			{
				switch ( value.ToLower() )
				{
					case "password":
						element.TextMode = TextBoxMode.Password;
						break;

					case "multiline":
						element.TextMode = TextBoxMode.MultiLine;
						break;

					default:
						element.TextMode = TextBoxMode.SingleLine;
						break;
				}
			}
		}

		public bool		Status
		{
			get { return ( image.Src == urlSetImage ) ? true : false; }
			set { image.Src = ( value ) ? urlSetImage : urlClearImage; }
		}
		
		public int MaxLen
		{
			get { return element.MaxLength; }
			set { element.MaxLength = value; }
		}

		public int Length
		{
			get { return element.Columns; }
			set 
			{
				element.Columns = value;
				if ( element.MaxLength < value )
					MaxLen = value;
			}
		}
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			//image.Src = urlClearImage;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
