namespace ControlDemo.controls
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;

	/// <summary>
	///		Summary description for CfxWebFormOptions.
	/// </summary>
	public abstract class CfxWebFormOptions : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.Label			lblName;
		protected ControlDemo.controls.CfxText				txtName;

		protected System.Web.UI.WebControls.Label			lblAddress;
		protected ControlDemo.controls.CfxText				txtAddress1;
		protected ControlDemo.controls.CfxText				txtAddress2;

		protected System.Web.UI.WebControls.Label			lblCity;
		protected ControlDemo.controls.CfxText				txtCity;

		protected System.Web.UI.WebControls.Label			lblState;
		protected ControlDemo.controls.CfxSelect			selState;

		protected System.Web.UI.WebControls.Label			lblPostal;
		protected ControlDemo.controls.CfxText				txtPostal;

		protected System.Web.UI.WebControls.Label			lblHistory;
		protected ControlDemo.controls.CfxHistoryOptions	optHistory;

		protected System.Web.UI.WebControls.Button			btnSubmit;

		public string Name		{ get { return txtName.Text; } }

		private void Page_Load(object sender, System.EventArgs e)
		{
			if ( !this.IsPostBack )
			{
				// Setup state options.
				string[] stateCodes =
				{
					"AK", "AL", "AR", "AZ", "CA", "CO", "CT",
					"DC", "DE", "FL", "GA", "HI", "IA", "ID", "IL",
					"IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI",
					"MN", "MO", "MS", "MT", "NC", "NE", "NH", "NJ",
					"NM", "NV", "NY", "OH", "OK", "OR", "PA", "PR",
					"RI", "SC", "SD", "TN", "TX", "UT", "VA", "VI",
					"VT", "WA", "WI", "WV", "WY"
				};

				// Setup state selection.
				for ( int ii = 0; ii < stateCodes.Length; ++ii )
					selState.Selections.Items.Add( new ListItem( stateCodes[ii] ) );
			}
		}

		private void btnSubmit_Click(object sender, System.EventArgs e)
		{
			// Options submitted -- alert containers.
			RaiseBubbleEvent( this, e );
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		///		Required method for Designer support - do not modify
		///		the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnSubmit.Click += new System.EventHandler(this.btnSubmit_Click);
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
