//////////////////////////////////////////////////////////////////////////////
//	CfxEvent
//		(c) 2003 Chris Waldron  -- All rights reserved.
//
//	Description:
//		Event wrapper.
//
//////////////////////////////////////////////////////////////////////////////
function CfxEvent( eventArgs )
{
	// Establish class and initialize instance.
	Cfx.Class.New( CfxEvent );
	this.InitInstance();
	
	// Set methods.
	this.Method( Element );
	this.Method( IsEnterKey );
	this.Method( KeyCode );
	
	// Initialize instance.
	this.event = ( eventArgs ) ? eventArgs : event;

	//////////////////////////////////////////////////////////////////////////
	// Class methods definitions
	//////////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////////////////////
	//	Element
	//////////////////////////////////////////////////////////////////////////
	function Element()
	{
		return Cfx.Js.IsDefined( this.event.currentTarget ) ? 
			this.event.currentTarget : this.event.srcElement;
	}

	
	//////////////////////////////////////////////////////////////////////////
	//	IsEnterKey
	//////////////////////////////////////////////////////////////////////////
	function IsEnterKey()
	{
		return ( this.KeyCode() == 13 ) ? true : false;
	}
	
	
	//////////////////////////////////////////////////////////////////////////
	//	KeyCode
	//////////////////////////////////////////////////////////////////////////
	function KeyCode()
	{
		return Cfx.Js.IsDefined( this.event.which ) ? this.event.which : this.event.keyCode;
	}
}
