//////////////////////////////////////////////////////////////////////////////
//	CfxInput
//		(c) 2003 Chris Waldron  -- All rights reserved.
//
//	Description:
//		Base input control.
//
//////////////////////////////////////////////////////////////////////////////
function CfxInput()
{
	// Establish class and initialize instance.
	Cfx.Class.New( CfxInput, CfxControl );
	this.InitInstance();
	
	// Set methods.
	this.Method( AlertError );
	this.Method( ClearError );
	this.Method( Initialize );
	this.Method( IsEmpty );
	this.Method( SetError );
	this.Method( Validate );
			
	// Set properties.
	this.clearImage = "../images/void.jpg";
	this.errorImage = "../images/error.jpg";
	this.element = null;
	this.image = null;

	//////////////////////////////////////////////////////////////////////////
	// Class methods definitions
	//////////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////////////////////
	//	AlertError
	//////////////////////////////////////////////////////////////////////////
	function AlertError( msg )
	{
		alert( msg );
		this.SetError();
	}
	
	
	//////////////////////////////////////////////////////////////////////////
	//	ClearError
	//////////////////////////////////////////////////////////////////////////
	function ClearError()
	{
		if ( this.image == null )
		{
			this.image = this.GetElement( "image" );
			if ( this.image == null )
				throw new CfxError( this, "Missing CfxText control image property" );
		}

		this.image.src = this.clearImage;
	}


	//////////////////////////////////////////////////////////////////////////
	//	SetError
	//////////////////////////////////////////////////////////////////////////
	function SetError()
	{
		if ( this.image == null )
		{
			this.image = this.GetElement( "image" );
			if ( this.image == null )
				throw new CfxError( this, "Missing CfxText control image property" );
		}

		this.image.src = this.errorImage;
	}


	//////////////////////////////////////////////////////////////////////////
	//	IsEmpty
	//////////////////////////////////////////////////////////////////////////
	function IsEmpty()
	{
		return true;
	}


	//////////////////////////////////////////////////////////////////////////
	// Internal methods.
	//////////////////////////////////////////////////////////////////////////
	function Initialize()
	{
		return true;
	}


	//////////////////////////////////////////////////////////////////////////
	//	Validate : Validate options.
	//////////////////////////////////////////////////////////////////////////
	function Validate()
	{
		return true;
	}
}
