//////////////////////////////////////////////////////////////////////////////
//	CfxLabel
//		(c) 2003 Chris Waldron  -- All rights reserved.
//
//	Description:
//		Text display control.
//
//////////////////////////////////////////////////////////////////////////////
function CfxLabel()
{
	// Establish class and initialize instance.
	Cfx.Class.New( CfxLabel, CfxInput );
	this.InitInstance();
	
	// Set methods.
	this.Method( ClearError );
	this.Method( GetItems );
	this.Method( SetError );
	this.Method( Value );

	// Setup instance data.
	if ( arguments.length )
	{
		this.name = arguments[0];
		this.parent = arguments[1];
		this.items = this.GetItems()
	}

	//////////////////////////////////////////////////////////////////////////
	// Class methods definitions
	//////////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////////////////////
	//	ClearError
	//////////////////////////////////////////////////////////////////////////
	function ClearError()
	{
		this.Value( "" );
	}
	
	//////////////////////////////////////////////////////////////////////////
	// GetItems
	//////////////////////////////////////////////////////////////////////////
	function GetItems()
	{
		var items = null;
		var id = this.ControlId() + this.splitChar + "element" ;
		var elLabel = Cfx.Dom.GetElementById( id );
		if ( elLabel )
		{
			items = new Array();
			items[0] = elLabel;
		}
		
		return items;
	}
	

	//////////////////////////////////////////////////////////////////////////
	//	SetError
	//////////////////////////////////////////////////////////////////////////
	function SetError( msg )
	{
		this.Value( msg );
	}
	

	//////////////////////////////////////////////////////////////////////////
	// Value
	//////////////////////////////////////////////////////////////////////////
	function Value()
	{
		// setter.
		if ( arguments.length )
		{
			this.items[0].innerHTML = arguments[0];
			return;
		}

		// getter.
		return this.items[0].innerHTML;
	}
}
